FOX16_HtmlLabel Class Reference

`#include <fox16_htmllabel.hpp>`

Inheritance diagram for FOX16_HtmlLabel:

## Public Types

enum | { FLAGS_NO_WORDWRAP = 0x00080000 , FLAGS_USE_FULL_WIDTH = 0x00040000 }

## Public Member Functions

void | addMediaPath (const char *s)
void | create ()
| FOX16_HtmlLabel (FXComposite *p, const FXString &text, FXuint opts=0, FXint x=0, FXint y=0, FXint w=0, FXint h=0, FXint pl=DEFAULT_PAD, FXint pr=DEFAULT_PAD, FXint pt=DEFAULT_PAD, FXint pb=DEFAULT_PAD)
virtual FXint | getDefaultHeight ()
| Return default height.
virtual FXint | getDefaultWidth ()
| Return default width.
FXIcon * | getIcon () const
FXString | getText () const
| Get the text for this label.
void | layout ()
long | onPaint (FXObject *, FXSelector, void *)
void | setIcon (FXIcon *ic)
void | setMaxDefaultWidth (int i)
void | setMinimumWidth (int i)
void | setText (const FXString &text)
| Set the text for this label.
| ~FOX16_HtmlLabel ()

## Protected Member Functions

void | calcDefaultDims ()
| FOX16_HtmlLabel ()
void | updateHtml ()

## Protected Attributes

FXint | m_defaultHeight
FXint | m_defaultWidth
bool | m_haveDefaultDims
FOX16_HtmlCtx * | m_htmlCtx
FXIcon * | m_icon
int | m_maxDefaultWidth
GWEN_STRINGLIST * | m_mediaPaths
int | m_minWidth
FXString | m_text

## Detailed Description

Definition at line 22 of file fox16_htmllabel.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
FLAGS_NO_WORDWRAP | don't wrap the text. If this flag is given as parameter to the constructor then you'll have to insert line-breaks into the text yourself.
FLAGS_USE_FULL_WIDTH | when wrapping words use the full widget width to layout the text. Otherwise the wordwrapping occurrs at the width set by setMaxDefaultWidth().

Definition at line 27 of file fox16_htmllabel.hpp.

## Constructor & Destructor Documentation

## FOX16_HtmlLabel() [1/2]

FOX16_HtmlLabel | ( | FXComposite * | p,
|  | const FXString & | text,
|  | FXuint | opts = 0,
|  | FXint | x = 0,
|  | FXint | y = 0,
|  | FXint | w = 0,
|  | FXint | h = 0,
|  | FXint | pl = DEFAULT_PAD,
|  | FXint | pr = DEFAULT_PAD,
|  | FXint | pt = DEFAULT_PAD,
|  | FXint | pb = DEFAULT_PAD )

## ~FOX16_HtmlLabel()

~FOX16_HtmlLabel | ( |  | ) |

## FOX16_HtmlLabel() [2/2]

FOX16_HtmlLabel | ( |  | ) |

protected

## Member Function Documentation

## addMediaPath()

void addMediaPath | ( | const char * | s | ) |

## calcDefaultDims()

void calcDefaultDims | ( |  | ) |

protected

## create()

void create | ( |  | ) |

## getDefaultHeight()

virtual FXint getDefaultHeight | ( |  | ) |

virtual

Return default height.

## getDefaultWidth()

virtual FXint getDefaultWidth | ( |  | ) |

virtual

Return default width.

## getIcon()

FXIcon * getIcon | ( |  | ) | const

inline

Definition at line 51 of file fox16_htmllabel.hpp.

References m_icon.

## getText()

FXString getText | ( |  | ) | const

inline

Get the text for this label.

Definition at line 49 of file fox16_htmllabel.hpp.

References m_text.

## layout()

void layout | ( |  | ) |

## onPaint()

long onPaint | ( | FXObject * | ,
|  | FXSelector | ,
|  | void * | )

## setIcon()

void setIcon | ( | FXIcon * | ic | ) |

## setMaxDefaultWidth()

void setMaxDefaultWidth | ( | int | i | ) |

inline

Definition at line 65 of file fox16_htmllabel.hpp.

References m_maxDefaultWidth.

## setMinimumWidth()

void setMinimumWidth | ( | int | i | ) |

inline

Definition at line 64 of file fox16_htmllabel.hpp.

References m_minWidth.

## setText()

void setText | ( | const FXString & | text | ) |

Set the text for this label.

## updateHtml()

void updateHtml | ( |  | ) |

protected

## Field Documentation

## m_defaultHeight

FXint m_defaultHeight

protected

Definition at line 79 of file fox16_htmllabel.hpp.

## m_defaultWidth

FXint m_defaultWidth

protected

Definition at line 78 of file fox16_htmllabel.hpp.

## m_haveDefaultDims

bool m_haveDefaultDims

protected

Definition at line 77 of file fox16_htmllabel.hpp.

## m_htmlCtx

FOX16_HtmlCtx* m_htmlCtx

protected

Definition at line 72 of file fox16_htmllabel.hpp.

## m_icon

FXIcon* m_icon

protected

Definition at line 83 of file fox16_htmllabel.hpp.

Referenced by getIcon().

## m_maxDefaultWidth

int m_maxDefaultWidth

protected

Definition at line 75 of file fox16_htmllabel.hpp.

Referenced by setMaxDefaultWidth().

## m_mediaPaths

GWEN_STRINGLIST* m_mediaPaths

protected

Definition at line 81 of file fox16_htmllabel.hpp.

## m_minWidth

int m_minWidth

protected

Definition at line 74 of file fox16_htmllabel.hpp.

Referenced by setMinimumWidth().

## m_text

FXString m_text

protected

Definition at line 73 of file fox16_htmllabel.hpp.

Referenced by getText().

The documentation for this class was generated from the following file:

- fox16_htmllabel.hpp